Body
string
required
The ID of the payment to refund. This must be a valid
payment_id from a previously completed payment.Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X POST 'https://developers.flouci.com/api/v2/refund_payment' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <PUBLIC_KEY>:<PRIVATE_KEY>' \
-d '{
"payment_id": "FoPKKHqfQIKfBqhEj8M47A"
}'
{
"result": {
"refund_id": "ref_a1b2c3d4",
"payment_id": "FoPKKHqfQIKfBqhEj8M47A",
"amount": "10000",
"status": "success",
"refunded_at": "2025-01-15T10:30:00Z"
},
"status": "success"
}
{
"status": "error",
"message": "Payment cannot be refunded",
"code": "REFUND_NOT_ALLOWED"
}
Refund a completed standard payment and return funds to the customer.
curl -X POST 'https://developers.flouci.com/api/v2/refund_payment' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <PUBLIC_KEY>:<PRIVATE_KEY>' \
-d '{
"payment_id": "FoPKKHqfQIKfBqhEj8M47A"
}'
payment_id from a previously completed payment.{
"result": {
"refund_id": "ref_a1b2c3d4",
"payment_id": "FoPKKHqfQIKfBqhEj8M47A",
"amount": "10000",
"status": "success",
"refunded_at": "2025-01-15T10:30:00Z"
},
"status": "success"
}
{
"status": "error",
"message": "Payment cannot be refunded",
"code": "REFUND_NOT_ALLOWED"
}
